#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 25. X Libraries

- Prev

  Tepl-5.0.1

- Next

  Display Managers

- Up
- Home

# WebKitGTK+-2.30.5

## Introduction to WebKitGTK+

The WebKitGTK+ package is a port of the portable web rendering engine WebKit to the GTK+ 3 and GTK+ 2 platforms.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://webkitgtk.org/releases/webkitgtk-2.30.5.tar.xz

- Download MD5 sum: c8291af0c5102fff1f73e67f0bff6c87

- Download size: 21 MB

- Estimated disk space required: 832 MB (121 MB installed)

- Estimated build time: 24 SBU (using parallelism=4, estimated 79 SBU using one core)

### WebKitGTK+ Dependencies

#### Required

Cairo-1.17.2+f93fc72c03e, CMake-3.19.5, gst-plugins-base-1.18.3, gst-plugins-bad-1.18.3, GTK+-3.24.25, ICU-68.2, libgudev-234, libsecret-0.20.4, libsoup-2.72.0, libwebp-1.2.0, Mesa-20.3.4, OpenJPEG-2.4.0, Ruby-3.0.0, SQLite-3.34.1, and Which-2.21

#### Recommended

enchant-2.2.15, GeoClue-2.5.7, gobject-introspection-1.66.1, hicolor-icon-theme-0.17, and libnotify-0.7.9

#### Optional

bubblewrap-0.4.1, GTK-Doc-1.33.2, HarfBuzz-2.7.4, Wayland-1.19.0, WOFF2-1.0.2, ccache, Hyphen, MathML, libwpe, WPEBackend-fdo, and xdg-dbus-proxy

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/webkitgtk

## Installation of WebKitGTK+

Install WebKitGTK+ by running the following commands:

    mkdir -vp build &&
    cd        build &&

    cmake -DCMAKE_BUILD_TYPE=Release  \
          -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_SKIP_RPATH=ON       \
          -DPORT=GTK                  \
          -DLIB_INSTALL_DIR=/usr/lib  \
          -DUSE_LIBHYPHEN=OFF         \
          -DENABLE_MINIBROWSER=ON     \
          -DUSE_WOFF2=OFF             \
          -DUSE_WPE_RENDERER=OFF      \
          -DENABLE_BUBBLEWRAP_SANDBOX=OFF \
          -Wno-dev -G Ninja ..        &&
    ninja

This package does not have a working testsuite. However, there is a usable basic graphical web browser in the build directory, build/bin/MiniBrowser. If launching it fails, there is a problem with the build.

### Note

When installing, the Makefile does some additional compiling and linking. If you do not have Xorg in /usr, the LIBRARY_PATH and PKG_CONFIG_PATH variables need to be defined for the root user. If using sudo to assume root, use the -E option to pass your current environment variables for the install process.

Now, as the `root` user:

    ninja install &&

    install -vdm755 /usr/share/gtk-doc/html/webkit{2,dom}gtk-4.0 &&
    install -vm644  ../Documentation/webkit2gtk-4.0/html/*   \
                    /usr/share/gtk-doc/html/webkit2gtk-4.0       &&
    install -vm644  ../Documentation/webkitdomgtk-4.0/html/* \
                    /usr/share/gtk-doc/html/webkitdomgtk-4.0

## Command Explanations

`-DUSE_LIBHYPHEN=OFF`: This switch disables default automatic hyphenation implementation. You need to install Hyphen, if you wish to enable it (replacing OFF with ON or just removing the switch).

`-DENABLE_MINIBROWSER=ON`: This switch enables compiling and installing the MiniBrowser.

`-DUSE_WPE_RENDERER=OFF`: Remove this switch if the optional packages libwpe and WPEBackend-fdo are installed.

`-DENABLE_BUBBLEWRAP_SANDBOX=OFF`: Remove this switch if the optional packages bubblewrap-0.4.1 and xdg-dbus-proxy are installed.

`-DUSE_LIBNOTIFY=OFF`: Use this switch if you do not have libnotify installed.

`-DUSE_SYSTEM_MALLOC=ON`: This switch enables building against the system installed malloc.

`-DENABLE_GEOLOCATION=OFF`: Use this switch if you don't want to install GeoClue-2.5.7.

`-DENABLE_GTKDOC=ON`: Use this switch if GTK-Doc-1.33.2 is installed and you wish to rebuild and install the API documentation.

`-DUSE_WOFF2=ON`: Use this switch if the optional package WOFF2-1.0.2 is installed. This adds additional support for fonts.

## Contents

Installed Program: WebKitWebDriver
Installed Libraries: libjavascriptcoregtk-4.0.so and libwebkit2gtk-4.0.so
Installed Directories: /usr/include/webkitgtk-4.0, /usr/lib{,exec}/webkit2gtk-4.0, and /usr/share/gtk-doc/html/webkit{2,dom}gtk-4.0

### Short Descriptions

WebKitWebDriver | allows debugging and automation of web pages and browsers
`libjavascriptcoregtk-4.0.so` | contains core JavaScript API functions used by jsc and `libwebkit2gtk-4.0`
`libwebkit2gtk-4.0.so` | contains the WebKit2 API functions

Last updated on 2021-02-22 21:05:47 -0800

- Prev

  Tepl-5.0.1

- Next

  Display Managers

- Up
- Home